/* Fonts */

@import url('https://fonts.googleapis.com/css2?family=Gantari:wght@300;400;600;700;800&display=swap');

/* Styles */

/*html{
    width: 100vw;
    height: 100vh;
}*/
body{
    width: 100vw;
    height: 100vh;
    margin: 0;
    overflow: hidden;
    background-image: url('../img/bg.svg');
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    font-family: 'Gantari', Verdana, Geneva, Tahoma, sans-serif;
    animation: bgmove 120s ease-in-out infinite;
}
.container{
    /*width: 1140px;*/
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -55%);
}
.isologo{
    display: block;
    margin: 0 auto 40px;
    /*animation: float 6s ease-in-out infinite;*/
}
h1{
    font-size: 124px;
    line-height: 100px;
    font-weight: 800;
    text-align: center;
    margin: 10px 0 30px;
}
p{
    font-size: 24px;
    line-height: 30px;
    font-weight: 300;
    text-align: center;
    margin: 0;
}
p.intro{
    font-size: 55px;
    line-height: normal;
    font-weight: 300;
    text-align: center;
}
.contact-button{
    width: 400px;
    background-color: black;
    padding: 15px 40px;
    border-radius: 42px;
    border: 3px solid black;
    margin: 50px auto 0;
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-decoration: none;
}
.contact-button:hover{
    background-color: #202020;
    transition: all .25s ease-in-out;
}
.contact-button img{
    margin-right: 30px;
}
.contact-button p{
    color: #FFF;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 4px;
    text-transform: uppercase;
    text-align: center;
}
.contact-button p span{
    font-size: 20px;
    font-weight: 700;
    color: #FFF;
}
.icons-container{
    width: 95%;
    height: 65vh;
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.icons-container img, .icons-container div{
    position: absolute;
}
.black-star1{
    width: 36px;
    top: 0%;
    left: 24%;
    animation: float 15s ease-in-out infinite;
}
.black-star2{
    width: 30px;
    top: 80%;
    left: 75%;
    animation: inverse-float 15s ease-in-out infinite;
}
.asterik{
    width: 45px;
    position: absolute;
    left: 75%;
    top: 0%;
    animation: float 15s ease-in-out infinite;
}
.hexagon{
    left: 90%;
    top: 20%;
    animation: inverse-float 15s ease-in-out infinite;
}
.point-icon{
    width: 16px;
    height: 16px;
    border-radius: 8px;
}
.point-icon.p01{
    background-color: #F53630;
    top: 20%;
    left: 4%;
    animation: inverse-float 15s ease-in-out infinite;
}
.point-icon.p02{
    background-color: white;
    top: 45%;
    left: 82%;
    animation: float 15s ease-in-out infinite;
}
.circle-icon{
    width: 90px;
    height: 90px;
    border-radius: 55px;
    background-color: #ECB133;
    top: 27%;
    left: 12%;
    animation: inverse-float 15s ease-in-out infinite;
}
.plus{
    width: 40px;
    position: absolute;
    left: 7%;
    top:80%;
    animation: float 15s ease-in-out infinite;
}


@keyframes float {
	0% {
		transform: translate(0px, 0px);
	}
	50% {
		transform: translate(-15px, -15px);
	}
	100% {
		transform: translate(0px, 0px);
	}
}
@keyframes inverse-float {
	0% {
		transform: translate(0px, 0px);
	}
	50% {
		transform: translate(15px, 15px);
	}
	100% {
		transform: translate(0px, 0px);
	}
}

@keyframes bgmove {
    50% {background-position: left bottom;}
  }

/* Media Queries */
@media screen and (min-width: 1200px) {
    .icons-container {
        width: 85%;
        height: 75vh;
    }
    .asterik{
        width: 75px;
    }
    .plus{
        width: 60px;
    }
    .black-star1,.black-star2{
        width: 45px;
    }
    .hexagon,.circle-icon{
        width: 110px;
        height: 110px;
    }
}
@media screen and (max-width: 768px) {
    body {
        background-image: url('../img/bg-mobile.svg');
        background-size: cover;
    }
    .container{
        width: 100%;
        box-sizing: border-box;
        padding: 15px;
        transform: translate(-50%, -50%);
    }
    .icons-container{
        height: 75vh;
    }
    p{
        font-size: 22px;
        line-height: 28px;
    }
    p.intro{
        font-size: 40px;
    }
}
@media screen and (max-width:600px) {
    h1{
        font-size: 74px;
        line-height: 60px;
    }
    .hexagon, .circle-icon{
        display: none;
    }
    
}
@media screen and (max-width:527px) {
    p{
        font-size: 19px;
        line-height: 24px;
    }
    p br{
        display: none;
    }
    
    .asterik {
        width: 30px;
        position: absolute;
        left: 85%;
        top: 15%;
    }
    .contact-button{
        width: 100%;
        box-sizing: border-box;
    }
    .contact-button img{
        display: none;
    }
    .contact-button p{
        font-size: 15px;
        text-align: center;
    }
    .contact-button p span{
        font-size: 16px;
    };
}
